package com.yuandian.dataflow.statemachine;

import org.apache.ratis.protocol.RaftPeer;

import lombok.Getter;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Getter
@Setter
public class PeerId  {

    public PeerId(RaftPeer raftPeer, int processorPort) {
        this.raftPeer = raftPeer;
        this.processorPort = processorPort;
    }

    private RaftPeer raftPeer;
    private int processorPort;

    @Override
    public boolean equals(Object arg0) {
        return getRaftPeer().getId().toString() == ((PeerId)arg0).getRaftPeer().getId().toString();
    }
    
    @Override
    public int hashCode() {
        return getRaftPeer().getId().hashCode() ;
    }

}
